{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
osCommerce Product Manager for Windows (oscpmwin).
Copyright 2003-2006 by Mario A. Valdez-Ramirez.

You can contact Mario A. Valdez-Ramirez
by email at mario@mariovaldez.org or paper mail at
Olmos 809, San Nicolas, NL. 66495, Mexico.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
unit askcat;

interface

uses
  Classes, Controls, Forms,
  StdCtrls, Buttons, ComCtrls, oscpmdata;

type
  Topm_Form_AskCat = class(TForm)
    opm_TabControl_AskCat: TTabControl;
    opm_Edit_AskCatName: TEdit;
    opm_Label_AskCatTitle: TLabel;
    opm_BitBtn_AskCatOk: TBitBtn;
    opm_BitBtn_AskCatCancel: TBitBtn;
    procedure FormShow(Sender: TObject);
    procedure opm_BitBtn_AskCatOkClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure opm_TabControl_AskCatChange(Sender: TObject);
    procedure opm_TabControl_AskCatChanging(Sender: TObject;
      var AllowChange: Boolean);
  private
    { Private declarations }
  public
    AC_Title : STRING;
    AC_Directions : STRING;
    AC_MaxLen : LONGINT;
    AC_ClearCats : BOOLEAN;
    AC_CategoryData : opmT_SingleCatList;
  end;

var
  opm_Form_AskCat: Topm_Form_AskCat;

implementation

{$R *.dfm}

uses gnugettext, dataman;



{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
procedure Topm_Form_AskCat.FormShow (Sender: TObject);
VAR
  CurLang : LONGINT;
  DisplayTabIndex : LONGINT;
begin
  opm_Form_AskCat.Caption := AC_Title;
  opm_Label_AskCatTitle.Caption := AC_Directions;
  opm_Edit_AskCatName.MaxLength := AC_MaxLen;
  opm_TabControl_AskCat.Tabs.Clear;
  opm_TabControl_AskCat.Tabs := opmG_LanguageBoxList;
  DisplayTabIndex := opmC_Def_DisplayLang;
  FOR CurLang := 0 TO (opm_TotalLanguages - 1) DO
    IF (opm_CurrentLang = opmG_LanguageList[CurLang].ID) THEN
      BEGIN
        DisplayTabIndex := CurLang;
        BREAK
      END;
  opm_TabControl_AskCat.TabIndex := DisplayTabIndex;
  IF (AC_ClearCats = TRUE) THEN
    FOR CurLang := 0 TO (opm_TotalLanguages - 1) DO
      BEGIN
        AC_CategoryData[CurLang].ID := -1;
        AC_CategoryData[CurLang].Parent := 0;
        AC_CategoryData[CurLang].Name := '';
        AC_CategoryData[CurLang].LanguageID := opmG_LanguageList[CurLang].ID;
      END;
  opm_Edit_AskCatName.Text := AC_CategoryData[DisplayTabIndex].Name;
  opm_Form_AskCat.FocusControl (opm_Edit_AskCatName);
end;


{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
procedure Topm_Form_AskCat.opm_BitBtn_AskCatOkClick(Sender: TObject);
VAR
  CurLang : LONGINT;
begin
  AC_CategoryData[opm_TabControl_AskCat.TabIndex].Name := FNopm_CleanString (opm_Edit_AskCatName.Text);
  FOR CurLang := 0 TO (opm_TotalLanguages - 1) DO
    IF (AC_CategoryData[CurLang].ID > 0) THEN
      IF (AC_CategoryData[CurLang].Name = '') THEN AC_CategoryData[CurLang].Name := opmC_Unamed_Cat;
end;


{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
procedure Topm_Form_AskCat.FormCreate(Sender: TObject);
begin
  AC_Title := '';
  AC_Directions := '';
  AC_MaxLen := opmC_CatName_MaxLen;
  AC_ClearCats := FALSE;
  IF (opmG_UIHotTracking > 0) THEN
    BEGIN
      opm_TabControl_AskCat.HotTrack := TRUE;
      opm_TabControl_AskCat.HotTrack := TRUE;
    END
  ELSE
    BEGIN
      opm_TabControl_AskCat.HotTrack := FALSE;
      opm_TabControl_AskCat.HotTrack := FALSE;
    END;
  TranslateComponent (self);
end;


{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
procedure Topm_Form_AskCat.opm_TabControl_AskCatChange(Sender: TObject);
begin
  opm_Edit_AskCatName.Text := AC_CategoryData[opm_TabControl_AskCat.TabIndex].Name
end;


{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
procedure Topm_Form_AskCat.opm_TabControl_AskCatChanging (Sender: TObject; var AllowChange: Boolean);
begin
  AC_CategoryData[opm_TabControl_AskCat.TabIndex].Name := FNopm_CleanString (opm_Edit_AskCatName.Text);
end;

end.
