{%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
osCommerce Product Manager for Windows (oscpmwin).
Copyright 2003-2006 by Mario A. Valdez-Ramirez.

You can contact Mario A. Valdez-Ramirez
by email at mario@mariovaldez.org or paper mail at
Olmos 809, San Nicolas, NL. 66495, Mexico.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
PROGRAM oscpm1;

uses
  gnugettext in 'gnugettext.pas',
  Forms,
  Windows,
  Graphics,
  SysUtils,
  main in 'main.pas' {opm_Form_Main},
  config in 'config.pas' {opm_Form_Config},
  search in 'search.pas' {opm_Form_SearchProduct},
  pedit in 'pedit.pas' {opm_Form_PEdit},
  askuser in 'askuser.pas' {opm_Form_AskUser},
  license in 'license.pas' {opm_Form_License},
  about in 'about.pas' {opm_Form_About},
  pimgzoom in 'pimgzoom.pas' {opm_Form_ImageZoom},
  splash in 'splash.pas' {opm_Form_splash},
  oscpmdata in 'oscpmdata.pas',
  balloons in 'balloons.pas',
  regconfig in 'regconfig.pas',
  dataman in 'dataman.pas',
  attention in 'attention.pas',
  network in 'network.pas',
  freeimage in 'freeimage.pas',
  imageman in 'imageman.pas',
  askupload in 'askupload.pas' {opm_Form_UploadImage},
  modules in 'modules.pas',
  runmod in 'runmod.pas' {opm_Form_Runmod},
  colorsel in 'colorsel.pas' {opm_Form_ColorSel},
  configmod in 'configmod.pas' {opm_Form_ConfigMod},
  askcat in 'askcat.pas' {opm_Form_AskCat},
  progress in 'progress.pas' {opm_Form_Progress},
  currencyedit in 'currencyedit.pas' {opm_Form_CurrencyEdit},
  currencyman in 'currencyman.pas' {opm_Form_CurrencyMan},
  currupd in 'currupd.pas' {opm_Form_Currupd},
  openpicdlg in 'openpicdlg.pas',
  sqllog in 'sqllog.pas' {opm_Form_SQLLog},
  phpinfo in 'phpinfo.pas' {opm_Form_PHPInfo};

VAR
  opm_OnlyOne_Mutex : THandle;

{$R *.res}

BEGIN
  {The following line to be used with MemCheck only http://v.mahon.free.fr/pro/freeware/memcheck/
   It also requires the following: disable optimizations, enable all debugging options, include TD32
   debug information.}
  {MemChk;}
  Graphics.DefFontData.Name := FNReg_ReadSetting ('UIFontName', opmC_DefaultFont, opmC_RegistryKey, opmC_RKVisual);
  Graphics.DefFontData.Height := FNopm_StrToInt (FNReg_ReadSetting ('UIFontHeight', INTTOSTR (opmC_DefaultFontHeight), opmC_RegistryKey, opmC_RKVisual));
  Graphics.DefFontData.Charset := FNopm_StrToInt (FNReg_ReadSetting ('UIFontCharset', INTTOSTR (opmC_DefaultFontCharset), opmC_RegistryKey, opmC_RKVisual));
  AddDomainForResourceString ('delphi');
  UseLanguage (opmC_Def_GUILang);
  opm_OnlyOne_Mutex := CreateMutex (NIL, TRUE, 'opm_oscpm1');
  IF ((opm_OnlyOne_Mutex <> 0) AND (GetLastError = 0)) THEN
    BEGIN
      TRY
        opm_Form_splash := Topm_Form_splash.Create(Application);
        opm_Form_splash.Show;
        opm_Form_splash.Update;
        Application.Initialize;
        Application.Title := 'OSCPM1';
        Application.UpdateFormatSettings := FALSE;
        opm_Form_splash.opm_ProgressBar_Splash.Position := 3; opm_Form_splash.Update;
        Application.CreateForm(Topm_Form_Main, opm_Form_Main);
        opm_Form_splash.opm_ProgressBar_Splash.Position := 5; opm_Form_splash.Update;
        Application.CreateForm(Topm_Form_PHPInfo, opm_Form_PHPInfo);
        opm_Form_splash.opm_ProgressBar_Splash.Position := 8; opm_Form_splash.Update;
        Application.CreateForm(Topm_Form_SQLLog, opm_Form_SQLLog);
        opm_Form_splash.opm_ProgressBar_Splash.Position := 11; opm_Form_splash.Update;
        Application.CreateForm(Topm_Form_Currupd, opm_Form_Currupd);
        opm_Form_splash.opm_ProgressBar_Splash.Position := 16; opm_Form_splash.Update;
        Application.CreateForm(Topm_Form_CurrencyEdit, opm_Form_CurrencyEdit);
        opm_Form_splash.opm_ProgressBar_Splash.Position := 22; opm_Form_splash.Update;
        Application.CreateForm(Topm_Form_CurrencyMan, opm_Form_CurrencyMan);
        opm_Form_splash.opm_ProgressBar_Splash.Position := 27; opm_Form_splash.Update;
        Application.CreateForm(Topm_Form_Progress, opm_Form_Progress);
        opm_Form_splash.opm_ProgressBar_Splash.Position := 33; opm_Form_splash.Update;
        Application.CreateForm(Topm_Form_AskCat, opm_Form_AskCat);
        opm_Form_splash.opm_ProgressBar_Splash.Position := 38; opm_Form_splash.Update;
        Application.CreateForm(Topm_Form_ConfigMod, opm_Form_ConfigMod);
        opm_Form_splash.opm_ProgressBar_Splash.Position := 44; opm_Form_splash.Update;
        Application.CreateForm(Topm_Form_UploadImage, opm_Form_UploadImage);
        opm_Form_splash.opm_ProgressBar_Splash.Position := 49; opm_Form_splash.Update;
        Application.CreateForm(Topm_Form_Config, opm_Form_Config);
        opm_Form_splash.opm_ProgressBar_Splash.Position := 55; opm_Form_splash.Update;
        Application.CreateForm(Topm_Form_SearchProduct, opm_Form_SearchProduct);
        opm_Form_splash.opm_ProgressBar_Splash.Position := 61; opm_Form_splash.Update;
        Application.CreateForm(Topm_Form_PEdit, opm_Form_PEdit);
        opm_Form_splash.opm_ProgressBar_Splash.Position := 66; opm_Form_splash.Update;
        Application.CreateForm(Topm_Form_AskUser, opm_Form_AskUser);
        opm_Form_splash.opm_ProgressBar_Splash.Position := 72; opm_Form_splash.Update;
        Application.CreateForm(Topm_Form_License, opm_Form_License);
        opm_Form_splash.opm_ProgressBar_Splash.Position := 77; opm_Form_splash.Update;
        Application.CreateForm(Topm_Form_About, opm_Form_About);
        opm_Form_splash.opm_ProgressBar_Splash.Position := 83; opm_Form_splash.Update;
        Application.CreateForm(Topm_Form_ImageZoom, opm_Form_ImageZoom);
        opm_Form_splash.opm_ProgressBar_Splash.Position := 88; opm_Form_splash.Update;
        Application.CreateForm(Topm_Form_Runmod, opm_Form_Runmod);
        opm_Form_splash.opm_ProgressBar_Splash.Position := 94; opm_Form_splash.Update;
        Application.CreateForm(Topm_Form_ColorSel, opm_Form_ColorSel);
        opm_Form_splash.opm_ProgressBar_Splash.Position := 99; opm_Form_splash.Update;
        Application.Run;
      FINALLY
        opm_Form_splash.Close;
        opm_Form_splash.Free;
      END;
      IF (opm_OnlyOne_Mutex <> 0) THEN CloseHandle (opm_OnlyOne_Mutex);
    END;
END.
